Skip to main content
POST
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
vars
cURL
curl --request POST \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/vars \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "plain",
  "value": "<string>",
  "description": "<string>",
  "env_ids": [
    123
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Body

application/json
name
string
required
type
enum<string>
required
Available options:
plain,
secret
value
string
required
description
string | null
env_ids
integer<int64>[] | null

Response

201

Variable created successfully